package com.ssj.service.conch.schoolmaster.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class CourseRemindBean implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    private String title;
    private String bizType;
    private String bizId;
    private String createTime;
    private String vipId;
    private String teacherId;
    private int isOverTime = 0;  //0 否 ;1 是
    private List<String> fileKeys;

    public CourseRemindBean(){
        this.fileKeys = new ArrayList<String>();
    }

    public String getTitle() {
        return title;
    }

    public CourseRemindBean setTitle(String title) {
        this.title = title;
        return this;
    }

    public String getBizType() {
        return bizType;
    }

    public CourseRemindBean setBizType(String bizType) {
        this.bizType = bizType;
        return this;
    }

    public String getBizId() {
        return bizId;
    }

    public CourseRemindBean setBizId(String bizId) {
        this.bizId = bizId;
        return this;
    }

    public String getCreateTime() {
        return createTime;
    }

    public CourseRemindBean setCreateTime(String createTime) {
        this.createTime = createTime;
        return this;
    }

    public String getVipId() {
        return vipId;
    }

    public CourseRemindBean setVipId(String vipId) {
        this.vipId = vipId;
        return this;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public CourseRemindBean setTeacherId(String teacherId) {
        this.teacherId = teacherId;
        return this;
    }

    public int getIsOverTime() {
        return isOverTime;
    }

    public CourseRemindBean setIsOverTime(int isOverTime) {
        this.isOverTime = isOverTime;
        return this;
    }

    public List<String> getFileKeys() {
        return fileKeys;
    }

    public void addFileKey(String fileKey) {
        this.fileKeys.add(fileKey);
    }

    public void addFileKeys(List<String> fileKeys) {
        this.fileKeys.addAll(fileKeys);
    }

    public boolean equals(CourseRemindBean bean){
        if (this.vipId.equals(bean.vipId) && this.teacherId.equals(bean.teacherId)){
            return true;
        } else {
            return false;
        }
    }
}
